{
  config,
  lib,
  pkgs,
  ...
}:
# Note: add privileged users to docker group for access
with lib;
mkIf ((elem "docker" config.machine.services) && !(elem "podman" config.machine.services)) {
  virtualisation.docker = {
    enable = true;
    # Disable live restore as it tends to delay/block system shutdown
    liveRestore = false;
  };
  environment.systemPackages = with pkgs; [
    docker-compose
    docker-machine
    cntr
  ];
}
